#include <iostream>

using namespace std;

int main()
{
    // Deklaracija
    int t, n, k;
    unsigned long long int m, z;
    cin >> t;
    string r[t];

    // Unos
    for (int i = 0; i < t; i++)
    {
        cin >> n >> m >> k;
        z = n*(n+1)/2;
        if (m >= z)
        {
            r[i] = "Tak";
        }
        else
        {
            r[i] = "Nie";
        }
    }

    // Stampa
    for (int i = 0; i < t; i++)
    {
        cout << r[i] << endl;
    }

    return 0;
}